<template>
  <v-card class="card" width="500">
    <v-img
      :src="movie.image"
      height="200px">
    </v-img>

    <v-card-title>
        {{ movie.title }}
    </v-card-title>

    <v-card-text>
    {{ movie.director }} • {{ movie.release }}
    
    <v-rating
          :value="movie.note"
          color="amber"
          size="20"
          readonly
        ></v-rating>
    </v-card-text>

    <v-card-actions>
      <v-btn color="black" text disabled>SYNOPSIS</v-btn>



      <v-btn icon @click="show = !show">
      <v-icon>{{ show ? "mdi-chevron-up" : "mdi-chevron-down" }}</v-icon>
      </v-btn>
        <v-row class="cardButtonsRow"
          align="center"
          justify="end"
        >
      <v-btn color="deep-red lighten-2"  fab icon rounded  @click="editMovie(index, movie)"><v-icon color="black">mdi-movie-edit</v-icon></v-btn>
      <v-btn color="red lighten-2"   fab icon rounded @click="deleteMovie(movie)"><v-icon color="red accent-4">mdi-delete</v-icon></v-btn>
    </v-row>
    </v-card-actions>

    <v-expand-transition>
      <div v-show="show">
        <v-divider></v-divider>
        <v-card-text>{{ movie.synopsis }}</v-card-text>
      </div>
    </v-expand-transition>
  </v-card>
</template>

<script>
export default {
  name: "movie",
  props: {
    movie: Object,
    index: Number,
  },
  data() {
    return {
      show: false,
    };
  },
  methods: {
    changeStateMovieInfos() {
      this.$emit("changeStateMovieInfos");
    },

    editMovie() {
      this.$emit("edit-movie");
    },

    deleteMovie() {
      this.$emit("deleteMovie");
    },
  },
};
</script>

<style scoped>

.cardButtonsRow{
    padding-right: 15px;
}

</style>